#!/bin/bash

minimum_package() {
	apt update
	apt install -y git wget ca-certificates dpkg fakeroot gnupg
}

default_prebuild(){
        [ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
        git clone --depth 1 -b ${GIT_VERSION} ${DEPOT}  /tmp/${APP}
}

configure_depot_yarn() {
 	echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" > /etc/apt/sources.list.d/yarn.list
 	wget -qO - https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor  > /usr/share/keyrings/yarnkey.gpg
}

configure_depot_nodejs() {
        NODE_VERSION=16.x
        [ ! "$1" == "" ] && NODE_VERSION=$1
        grep -q 16.x /etc/apt/sources.list.d/nodesource.list
        if [ $? -ne 0 ] 
        then
                wget -qO - https://deb.nodesource.com/setup_${NODE_VERSION} | bash
        fi
}

install_go() {
        GO_VERSION=1.19
        [ ! "$1" == "" ] && GO_VERSION=$1
        PATH=$PATH:/usr/local/go/bin
        if [ ! "$(go version)" == "go version go${GO_VERSION} linux/amd64" ] ; 
        then
                rm -rvf /usr/local/go/
                wget -qO - https://go.dev/dl/go${GO_VERSION}.linux-amd64.tar.gz | tar -C /usr/local -xz
        fi
}

install_rust() {
	wget -qO - https://sh.rustup.rs > /tmp/rustup
	bash /tmp/rustup -qy
}


if [ ! "$1" == "" ];
then 
	source /tmp/src/debmaker
	FUNC=$1
	shift
	${FUNC} $*
fi
